Bug 702103 - Review Request: python-osmgpsmap - Python bindings for osm-gps-map GTK+ widget
Summary: Review Request: python-osmgpsmap - Python bindings for osm-gps-map GTK+ widget
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 701982
Blocks: 725453
TreeView+ depends on / blocked
 
Reported: 2011-05-04 19:02 UTC by Jeffrey C. Ollie
Modified: 2011-09-30 19:40 UTC (History)
6 users (show)

Fixed In Version: gramps-3.3.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-18 22:58:04 UTC
volker27: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2011-05-04 19:02:52 UTC
Spec URL: http://jcollie.fedorapeople.org/python-osmgpsmap.spec
SRPM URL: http://jcollie.fedorapeople.org/python-osmgpsmap-0.7.3-1.fc15.src.rpm
Description:

Python bindings for a GTK+ widget that when given GPS co-ordinates,
draws a GPS track, and points of interest on a moving map
display. Downloads map data from a number of websites, including
openstreetmap.org.

This will be required for Gramps 3.3.0 once it it has been released.

Comment 1 Paul Franklin (RHlists) 2011-05-06 16:02:28 UTC
Do you have a scratch build for this one also, like 701982?
Thanks.

Comment 2 Jeffrey C. Ollie 2011-05-07 01:31:16 UTC
No, I won't be able to do a scratch build until osm-gps-map has been reviewed and then added to the koji build root.

Comment 3 Michael Schwendt 2011-05-08 18:19:14 UTC
Needed BuildRequires for

  pygobject2-devel
  pygtk2-devel

to build here in Plague.

Comment 4 Jeffrey C. Ollie 2011-05-11 12:55:15 UTC
Now that osm-gps-map has been approved, here's a scratch build of the python bindings:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3065939

Spec URL: http://jcollie.fedorapeople.org/python-osmgpsmap.spec
SRPM URL: http://jcollie.fedorapeople.org/python-osmgpsmap-0.7.3-2.fc16.src.rpm

Comment 5 Volker Fröhlich 2011-05-28 21:21:30 UTC
http://fedoraproject.org/wiki/Common_Rpmlint_issues#private-shared-object-provides

%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

will likely do the job.

You missed the COPYING file. Therefore you can drop the README, as it only contains information on installing.

I'd suggest using %{python_sitearch}/osmgpsmap.so instead of the wildcard.

Please be a bit more detailed in the changelog, as the reader can't easily figure out which BRs you added, for instance.

As you have a clean section, a buildroot definition and clean the buildroot, you're seemingly set for EPEL 5. If so you must also add something like:

%if ! (0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Otherwise feel free to drop all the aforementioned. You can also drop the %defattr: https://fedorahosted.org/fpc/ticket/77

You can use %setup instead of %setup0.

Comment 6 Paul Franklin (RHlists) 2011-07-01 17:37:29 UTC
I observe:
1) gramps 3.3.0 has been released by the gramps developers, and
2) the previous comment is more than a month old,

and since I need both this one as well as 701982 to use that new
gramps 3.3.0 feature, I am asking for a status report on this bug.

Thanks.

Comment 7 Jeffrey C. Ollie 2011-07-01 19:07:20 UTC
I have an updated package, but it's on my laptop at home which is currently shut down.  I've got a number of offline activities tonight and tomorrow during the day so I hope to put up a new package Saturday evening sometime.

Comment 8 Jeffrey C. Ollie 2011-07-03 03:42:22 UTC
Spec URL: http://jcollie.fedorapeople.org/python-osmgpsmap.spec
SRPM URL: http://jcollie.fedorapeople.org/python-osmgpsmap-0.7.3-3.fc15.src.rpm

* Sat Jul  2 2011 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7.3-3
- Filter private shared library provides
- use setup rather than setup0
- drop defattr
- Drop buildroot
- Drop clean section
- Use name of library rather than wildcard
- Add COPYING file to doc

Comment 9 Volker Fröhlich 2011-07-16 12:37:53 UTC
osmgpsmapmodule.c says, it was GPLv2. The package says GPLv3.

You can use the name macro in source0.

--------------------------------------------------------
Review:

[+] Good
[-] Needs work
[0] Does not apply

MUST:
=====
[+] rpmlint:
[makerpm@lenovo SRPMS]$ rpmlint python-osmgpsmap-0.7.3-3.fc15.src.rpm ../RPMS/x86_64/python-osmgpsmap-*
python-osmgpsmap.src: W: spelling-error Summary(en_US) osm -> oms, ism, om
python-osmgpsmap.src: W: spelling-error Summary(en_US) gps -> fps, gs, gaps
python-osmgpsmap.src: W: spelling-error %description -l en_US openstreetmap -> premenstrual
python-osmgpsmap.x86_64: W: spelling-error Summary(en_US) osm -> oms, ism, om
python-osmgpsmap.x86_64: W: spelling-error Summary(en_US) gps -> fps, gs, gaps
python-osmgpsmap.x86_64: W: spelling-error %description -l en_US openstreetmap -> premenstrual
3 packages and 0 specfiles checked; 0 errors, 6 warnings.
[+] Naming according to the Package Naming Guidelines
[+] Spec file matches base package name
[+] Packaging guidelines met
[+] License approved for Fedora
[-] License field in spec matches code: osmgpsmapmodule.c says, it was GPLv2.
[+] License file included, if source package includes it
[+] Spec in American English
[+] Spec is legible
[+] Sources match upstream md5sum: a146583c13b9d77d8d003ee87916454d
[+] Compiles and builds into binary RPMs on at least one primary architecture:
[0] ExcludeArch is specified and commented
[0] Locales are handled correctly
[+] All build dependencies listed
[0] Calls ldconfig for its shared libraries
[+] No bundled system libraries
[0] Stated as relocatable package
[+] Owns all its directories or requires package that does
[+] No file listing duplicates
[+] File permissions correct
[+] Consistent use of macros
[+] Code or permissible content
[0] Large documentation in -doc subpackage
[+] No runtime dependency of files listed as %doc
[0] Header files in -devel subpackage
[0] Static files in -static subpackage
[0] Library files without suffix in -devel subpackage
[0] Devel-package requires base package
[0] No .la libtool archives
[0] GUI application includes properly installed %{name}.desktop file
[+] No files or directories owned, that other packages own
[+] Filenames in packages are UTF-8
[+] Python eggs built from source
[+] Python eggs must not download any dependencies during the build process
[0] When building a compat package, it must install using easy_install -m so it won't conflict with the main package.
[0] When building multiple versions (for a compat package) one of the packages must contain a default version that is usable via "import MODULE" with no prior setup.

SHOULD:
=======

[0] Query upstream if no license text is included
[+] Package builds in mock:
mock rebuild -r fedora-rawhide-x86_64 python-osmgpsmap-0.7.3-3.fc15.src.rpm
mock rebuild -r fedora-15-x86_64 python-osmgpsmap-0.7.3-3.fc15.src.rpm
mock rebuild -r fedora-14-x86_64 python-osmgpsmap-0.7.3-3.fc15.src.rpm
[?] Package works as described -- Haven't tried
[0] Scriptlets are sane, if used
[0] Subpackages other than -devel should require base package (versioned)
[0] pkgconfig files in -devel subpackage
[0] Dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider
requiring the package which provides the file instead of the file itself
[0] Contain man pages, where they make sense
[+] A package which is used by another package via an egg interface should provide egg info.

Comment 10 Volker Fröhlich 2011-08-13 06:11:52 UTC
Jeffrey, are you still interested in this package?

Comment 11 Jeffrey C. Ollie 2011-08-13 17:16:22 UTC
Yes, I am.

Comment 12 Volker Fröhlich 2011-08-19 18:48:10 UTC
So, did you find out about the license question?

Comment 13 Richard Shaw 2011-09-02 16:02:06 UTC
Is the license issue the only remaining problem? I'd like to see this resolved as it's holding up a new release of GRAMPS.

Thanks,
Richard

Comment 14 Volker Fröhlich 2011-09-02 17:36:23 UTC
Yes, only the license question.

Comment 15 Richard Shaw 2011-09-07 20:09:39 UTC
Volker,

I hope I'm not out of line here but as this is holding up the release of another program I'm very interested in getting...

SPEC: http://hobbes1069.fedorapeople.org/python-osmgpsmap/python-osmgpsmap.spec
SRPM: http://hobbes1069.fedorapeople.org/python-osmgpsmap/python-osmgpsmap-0.7.3-4.fc15.src.rpm

Changelog:

* Wed Sep 07 2011 Richard Shaw <hobbes1069@gmail.com> - 0.7.3-4
- Updated license in spec file to GPLv2.
- Update Source url in spec file to use %{name} where appropriate.
- Added ChangeLog, NEWS and README to package documentation.

rpmlint output:

$ rpmlint rpmbuild/python-osmgpsmap/SPECS/python-osmgpsmap.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/python-osmgpsmap/SRPMS/python-osmgpsmap-0.7.3-4.fc15.src.rpm
python-osmgpsmap.src: W: spelling-error Summary(en_US) osm -> oms, ism, om
python-osmgpsmap.src: W: spelling-error Summary(en_US) gps -> fps, gs, gaps
python-osmgpsmap.src: W: spelling-error %description -l en_US openstreetmap -> premenstrual
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


Jeffery,

I don't really want to own this package so please say something. If the review request get approved before you are able to respond I'll add you to the SCM request.

Thanks,
Richard

Comment 16 Volker Fröhlich 2011-09-07 20:51:52 UTC
Well, I never had this situation before. Release 4 is fine, as you obviously found out, that the package is actually GPLv2.

See comment 5: "Therefore you can drop the README, as it only
contains information on installing."

NEWS and ChangeLog file are even empty. Drop all these.

Whoever will own this package, release 4 is fine and therefore

=== APROVED ===

Comment 17 Richard Shaw 2011-09-07 21:09:09 UTC
(In reply to comment #16)
> Well, I never had this situation before. Release 4 is fine, as you obviously
> found out, that the package is actually GPLv2.
> 
> See comment 5: "Therefore you can drop the README, as it only
> contains information on installing."

Ahh... I know not to include INSTALL but I didn't inspect the contents of the files..

 
> NEWS and ChangeLog file are even empty. Drop all these.

I like to include these in the off chance if upstream actually puts something in them they will automatically be included in the new package without the package maintainer having to check on every new release.


> Whoever will own this package, release 4 is fine and therefore
> 
> === APROVED ===

Thanks!
Richard

Comment 18 Richard Shaw 2011-09-07 21:15:20 UTC
New Package SCM Request
=======================
Package Name: python-osmgpsmap
Short Description: Python bindings for osm-gps-map GTK+ widget
Owners: jcollie hobbes1069
Branches: f15 f16
InitialCC:

Comment 19 Gwyn Ciesla 2011-09-09 12:20:43 UTC
Git done (by process-git-requests).

Comment 20 Jeffrey C. Ollie 2011-09-09 12:27:11 UTC
Richard,

Thanks for finishing this review off.  I certainly appreciate the help.  I've been busy with other things and haven't had a chance to look at it.  I'll take care of the builds so that I can push the updates out with the new gramps packages.

Comment 21 Richard Shaw 2011-09-09 12:51:42 UTC
No problem!

I haven't taken the README back out of %doc in the spec yet...

Also I wasn't sure if this was going to go into f14 and figured it was easier to add later than to remove so I assumed f15 & 16.

I was trying to test a local build of it with gramps (I've been using a local build of 3.3.0 for a while now) but none of my data has gps coordinates which is probably a requirement :)

Richard

Comment 22 Fedora Update System 2011-09-09 15:06:13 UTC
gramps-3.3.0-1.fc16,python-osmgpsmap-0.7.3-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gramps-3.3.0-1.fc16,python-osmgpsmap-0.7.3-5.fc16

Comment 23 Fedora Update System 2011-09-09 15:07:35 UTC
gramps-3.3.0-1.fc15,python-osmgpsmap-0.7.3-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gramps-3.3.0-1.fc15,python-osmgpsmap-0.7.3-5.fc15

Comment 24 Paul Franklin (RHlists) 2011-09-09 16:33:16 UTC
Since osm-gps-map-0.7.3-3.fc14.i686.rpm exists, and
since Fedora 14 will be around until December (and
since I am currently using F14, heh heh), I would like
to request that python-osmgpsmap-0.7.3-5 be added to
updates for F14 also.  Thank you.

Comment 25 Fedora Update System 2011-09-10 00:29:57 UTC
Package gramps-3.3.0-1.fc15, python-osmgpsmap-0.7.3-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gramps-3.3.0-1.fc15 python-osmgpsmap-0.7.3-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gramps-3.3.0-1.fc15,python-osmgpsmap-0.7.3-5.fc15
then log in and leave karma (feedback).

Comment 26 Fedora Update System 2011-09-18 22:57:53 UTC
gramps-3.3.0-1.fc15, python-osmgpsmap-0.7.3-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2011-09-30 19:39:58 UTC
gramps-3.3.0-1.fc16, python-osmgpsmap-0.7.3-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.